Subject: Re: [PATCH] tcp FRTO: in-order-only "TCP proxy" fragility workaround

From: Dâniel Fraga <[email-masked]>
Date: Fri, 22 Aug 2008 18:32:24 -0300

On Wed, 20 Aug 2008 15:37:13 +0300 (EEST)
"Ilpo Järvinen" <[email-masked]> wrote:

> Based on irc discussion with davem, there is a htb bug which can cause 
> corruption of the retransmitted TCP packets (and then a discard due to 
> checksum mismatch). That would also explain the strange headers I noticed 
> earlier. There's a patch below (should apply to 2.6.26), please put it at 
> least on the host(s) which use htb (I don't know if both server and the 
> client do use wondershaper script or just the client). An different 
> failure symptoms (one could be somehow frto related as FRTO is used while 
> retransmitting) are also quite well explainable.
> 
> But FRTO is mostly not a suspect based on the tcpdump you provided (no 
> FRTO workaround would help in that).

	Ilpo, I have good news. I decided to disable completely HTB and
the problem seems to have gone. And frto is enabled, of course. So the
problem was with HTB, not frto as I thought.

	The HTB patches you provided are going to be included in the
next 2.6.27 kernel, right?

	Thank you.

-- 
--
To unsubscribe from this list: send the line "unsubscribe netfilter-devel" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html